html, body {
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}

@media screen and (max-width: 992px) {
   
    /* MAIN PAGE BUTTON */
    #main-cta-container {
        display: flex;
        justify-content: center;
    }

    #main-btn1 {
        display: flex;
        align-items: center;
        margin-right: 0;
        padding-right: 2.8rem;
        border-top-right-radius: 0%;
        border-bottom-right-radius: 0%;
        border-top-left-radius: 20%;
        border-bottom-left-radius: 20%;
    }

    #main-btn2 {
        margin-right: 0;
        border-top-right-radius: 20%;
        border-bottom-right-radius: 20%;
        border-top-left-radius: 0%;
        border-bottom-left-radius: 0%;
    }

    /* BENEFITS SECTION */
    #card-section {
        width: 100%;
        height: auto;
        margin-top: 5rem;
        padding: 2rem 0;
        background-color:#c9e8f5;
    }

    #card-head{
        display: flex;
        justify-content: center;
        align-items: center;
        margin-top: 2rem;
        
    }

    #card-head h2 {
        width: 90%;
        font-family:Verdana, Geneva, Tahoma, sans-serif;
        font-size: 2rem;
        text-align: center;
        font-weight: 600;
    }

   .card {
        width: 21rem;
        height: 21rem;
        margin: 1rem auto;
        perspective: 1000px;
        cursor: pointer;
        border-radius: 2rem;
    }

    #card-inner {
        position: relative;
        width: 100%;
        height: 100%;
        transition: transform 0.6s;
        transform-style: preserve-3d;
    }

    .card:focus #card-inner{
        transform: rotateY(180deg);
    }

    #card-front,
    #card-back {
        display: flex;
        flex-direction: column;
        position: absolute;
        width: 100%;
        height: 100%;
        backface-visibility: hidden;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 1rem;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    }

    #card-front {
        background: white;
        border: 1px solid #e5e7eb;
    }

     #card-front h4 {
        font-size: 1.5rem;
        margin-top: 1rem;
    }

    #card-back {
        background: #0161FF;
        color: white;
        transform: rotateY(180deg);
    }

    #card-back p {
        padding: 1rem;
        text-align: center;
        font-size: 1.1rem;
        color: white;
    }

    #card-back h4 {
        font-size: 1.8rem;
    }

    /* SYSTEM COMPARISON */

    #comparison-section {
        width: 100%;
        height: 85rem;
        padding: 2rem 0;
    }

    #comparison-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        height: 65rem;
        margin-top: 5rem; 
    }

    #heading-container h2{
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        font-family:Verdana, Geneva, Tahoma, sans-serif;
        font-size: 2rem;
        text-align: center;
        font-weight: 600;
        color: #121643;
        padding: 0 1rem;
        margin-top: 5rem;
    }

    .system-1, .system-2, .add-on{
        display: flex;
        flex-direction: column;
        background-color: #007bff;
        border-radius: 12px;
        box-shadow: 0 8px 30px rgba(0, 0, 0, 0.12);
        padding: 2rem;
        margin: 10px;
        width: 20rem;
        color: white;
        margin-top: 2rem;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
    }

    .system-1 h2, .system-2 h2, .add-on h2 {
        color: #ffffff;
        font-size: 1.8rem;
        font-weight: 600;
        margin-bottom: 1rem;
    }

    .system-1 p, .system-2 p, .add-on p {
        font-size: 1.1rem;
        line-height: 1.5;
        margin-top: 1rem;
    }

    .systems-container {
        
        display: flex;
        flex-direction: column;
        align-items: center;
        
}
    .add-on-head {
        margin-top: 3rem;
        font-size: 1.5rem;
        font-weight: 600;
        color: #121643;
        margin-bottom: 0.5rem;
        text-align: center;
        border: 2px solid #121643;
        padding: 0.5rem 0.7rem;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
        border-radius: 0.5rem;
    }

     /* BUTTON STYLES */

    #systems-btn-container {
        display: flex;
        justify-content: center;
        margin-top: 2rem;
        width: 50%;
        height: auto;
        border:#007bff 2px solid;
    }

    #systems-btn {
        margin-right: 0;
        padding: 0.8rem 3.8rem;
        margin-top: 2rem;
        font-size: 1.2rem;
    }
    #systems-btn:focus{
        background-color: #007bff;
        width: 100%;
    }

    /* REVIEWS SECTION */
    #review-section {
        width: 100%;
        height: auto;
        padding: 2rem 0;
        background-color:#c9e8f5;
    }

    #reviews-header {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-top: 0;
        margin-bottom: 2rem;
    }  

    #reviews-header-content {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 0 1rem;
    }

    #reviews-header-content h3 {
        font-family:Verdana, Geneva, Tahoma, sans-serif;
    }

    #reviews-container {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-top: 2rem;
        margin-bottom: 5rem;
        gap: 2rem;
    }

    #review1-container, #review2-container {
        width: 90%;
        height: 35rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        border: 1px solid #e5e7eb;
        border-radius: 1rem;
        box-shadow: 0 8px 30px rgba(0, 0, 0, 0.12);
        padding: 2rem;
    }

    #review1-container:focus, #review2-container:focus {
        box-shadow: 0 8px 30px rgba(0, 0, 0, 0.30);
        
    }

    #review1-container {
        padding-bottom: 6rem;
    }

       /* COMPANIES SECTION */

    #companies-container {
        
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        background-color: #c9e8f5;
    }

    #companies-head {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        padding-top: 2rem;
        
    }

    #companies-head strong {
        
        font-size: 15px;
        text-wrap: wrap;
        text-align: center;
        color: #121643;
    }

    #companies-logos {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        padding: 3rem 0;
    }

    #companies-logos img {
        margin: 0 2rem;
        width: auto;
        height: 30%;
    }

    #companies-logos {
        display: inline-flex;
        animation: scroll 20s linear infinite;

    }

    #companies-logos {
        height: 300px;
        margin: auto;
    }

    /* Keyframes */
    @keyframes scroll {
        from {
            transform: translateX(50%);
        }
        to {
            transform: translateX(-50%);
        }
    }
}

@media screen and (min-width: 992px){

    /* HERO SECTION */

    #main-cta-container {
        display: flex;
        flex-direction: row;
    }

    #main-cta-container a{
        width: 15rem;
        height: 3rem;
        margin-right: 1rem;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    #rating-container {
        margin-left: 0;
    }

    /* BENEFITS SECTION - PC / LAPTOP VIEW */

    #card-container {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        height: 33rem;
        width: 100%;
        background-color:#c9e8f5;
        padding-bottom: 4rem;
    }

    #card-head{
        display: flex;
        justify-content: center;
        align-items: center;
        margin-top: 2rem;  
        height: 10rem; 
        background-color:#c9e8f5;
    }

    #card-head h2 {
        font-size: 2.5rem;
        text-align: center;
        font-weight: 600;
        color: #121643;
        /* border-bottom: 2px solid #121643; */
        padding-bottom: 0.5rem;
    }

   .card {
        width: 23rem;
        height: 23rem;
        margin: 1rem auto;
        perspective: 1000px;
        cursor: pointer;
        border-radius: 2rem;
    }

    #card-inner {
        position: relative;
        width: 100%;
        height: 100%;
        transition: transform 0.6s;
        transform-style: preserve-3d;
        
    }

    .card:hover #card-inner{
        transform: rotateY(180deg);
    }

    #card-front,
    #card-back {
        display: flex;
        flex-direction: column;
        position: absolute;
        width: 100%;
        height: 100%;
        backface-visibility: hidden;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 1rem;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    }

    #card-front {
        background: white;
        border: 1px solid #e5e7eb;
    }

     #card-front h4 {
        font-size: 1.5rem;
        margin-top: 1rem;
        color: #121643;
    }

    #card-back {
        background: #0161FF;
        color: white;
        transform: rotateY(180deg);   
    }

    #card-back p {
        padding: 1rem;
        text-align: center;
        font-size: 1.1rem;
        color: white;
    }

    #card-back h4 {
        font-size: 1.8rem;
    }
    

        /* COMPARISON SECTION - PC / LAPTOP VIEW */
        

    #comparison-section {
        width: 100%;
        height: 65rem;
    }

    #heading-container h2{
        padding-bottom: 0.5rem;
    }

    #comparison-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        height: 35rem;
    }

    #heading-container {
        margin-top: 28rem;
        margin-bottom: 2rem;
    }

    #systems-container {
        width: 60%;
        display: flex;
        flex-direction: row;
        justify-content: space-between;       
    }

    .system-1, .system-2, .add-on {
        height: auto;
        width: 45%;
        display: flex;
        flex-direction: column;
        background-color: #ffffff;
        border-radius: 12px;
        box-shadow: 0 8px 30px rgba(0, 0, 0, 0.12);
        padding: 2rem;
        margin: 10px;
        width: 23rem;
        margin-top: 2rem;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
    }

    #systems-container h2{
        color: #121643;
    }

     #systems-container .system-1:hover h2, #systems-container .system-2:hover h2, #systems-container .add-on:hover h2 {
        color: white;
    }

    .system-1:hover, .system-2:hover, .add-on:hover {
        box-shadow: 0 8px 16px rgba(0, 0, 0, 0.5);
        transform: translateY(-10px);
        transition: all 0.3s ease;
        background-color: #007bff;
        color: white;
    }

    .system-1 h2, .system-2 h2 {
        color: #ffffff;
        font-size: 1.8rem;
        font-weight: 600;
        margin-bottom: 1rem;
    }

    .add-on-head {
        margin-top: 2rem;
        font-size: 1.5rem;
        font-weight: 600;
        color: white;
        margin-bottom: 0.5rem;
        text-align: center;
        border: 2px solid #121643;
        background-color: #007bff;
        padding: 0.5rem 0.7rem;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
        border-radius: 2rem;
    }

    .add-on h2 {
       
        font-size: 1.8rem;
        font-weight: 600;
        margin-bottom: 1rem;
    }

    .system-1 p, .system-2 p, .add-on p {
        font-size: 1.1rem;
        line-height: 1.5;
        margin-top: 1rem;
    }

    #systems-btn-container {
        display: flex;
        justify-content: center;
        margin-top: 2rem;
        width: 50%;
        height: auto;
        border:#007bff 2px solid;
    }

    #systems-btn {
        margin-right: 0;
        padding: 0.8rem 3.8rem;
        margin-top: 2rem;
        font-size: 1.2rem;
    }

    #systems-btn:focus{
        background-color: #007bff;
        width: 100%;
    }

    /* REVIEWS SECTION - PC / LAPTOP VIEW */

    #reviews-header {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-top: 5rem;
        margin-bottom: 2rem;
    }

    #reviews-header-content {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    #reviews-header-content h3 {
        font-size: 2.5rem;
        font-weight: 600;
        margin-bottom: 1rem;
        color: #121643;
    }

    /* COMPANIES SECTION - PC / LAPTOP VIEW */

    #companies-container {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin-top: 5rem;
        margin-bottom: 4rem;
        background-color: #c9e8f5;
    }

    #companies-head {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 2rem 0;
    }

    #companies-head strong {
        font-size: 2rem;
        font-weight: 600;
        text-align: center;
        color: #121643;
    }

    #companies-logos {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        padding: 3rem 0;
    }

    #companies-logos img {
        margin: 0 2rem;
        width: auto;
        height: 100px;
    }

    #companies-logos {
        display: inline-flex;
        animation: scroll 20s linear infinite;

     }

    .logos img {
        height: 60px;
        margin: 0 30px;
     }

        /* Keyframes */
    @keyframes scroll {
        from {
            transform: translateX(-50%);
        }
        to {
            transform: translateX(50%);
        }
    }


    /* REVIEWS SECTION - PC / LAPTOP VIEW */

    #reviews-header-content h3{
        /* border-bottom: 2px solid #121643; */
        padding-bottom: 0.5rem;
    }

    #reviews-container {
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        margin-top: 2rem;
        margin-bottom: 5rem;
        gap: 2rem;
    }

    #review1-container, #review2-container {
        width: 30rem;
        height: 35rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        border: 1px solid #e5e7eb;
        border-radius: 1rem;
        box-shadow: 0 8px 30px rgba(0, 0, 0, 0.12);
        padding: 2rem;
    }

    #review1-container:hover, #review2-container:hover {
        box-shadow: 0 8px 30px rgba(0, 0, 0, 0.30);
    }

    #review1-container {
        padding-bottom: 6rem;
    }
}